import { RegistryClient } from '../api/registries';
import { CodefreshAPI } from '../api/codefresh';
import { ReportImageInputs, NotifierFunction } from './types';
export declare class ImageInfoReporter {
    notify: NotifierFunction;
    image: string;
    registryClient: RegistryClient;
    registry: any;
    codefreshAPI: CodefreshAPI;
    apiKey: string;
    host?: string;
    workflowName?: string;
    workflowUrl?: string;
    logsUrl?: string;
    constructor(inputs: ReportImageInputs, notify: NotifierFunction);
    reportImageInfo(): Promise<void>;
    private getRegistry;
    private getConfigAndReportImageInfo;
}
export declare function reportImageInfo(inputs: ReportImageInputs, notify: NotifierFunction): Promise<void>;
//# sourceMappingURL=index.d.ts.map