import { Platform } from './types';
export declare class CodefreshAPI {
    private axiosClient;
    private graphQLClient;
    constructor(host: string | undefined, apiKey: any);
    getContext(name: string, type?: string): Promise<any>;
    getUserInfo(): Promise<any>;
    getFeature(feature: any): Promise<any>;
    isGitopsReportingEnabled(platform: Platform): Promise<any>;
    createImageBinary(imageBinaryVars: any): Promise<any>;
    createImageRegistry(imageRegistryVars: any): Promise<any>;
    createImageLayers(imageLayersVars: any): Promise<any>;
    patchImageWithGitBranchData(imageName: any, branch: any, provider: any): Promise<any>;
    createPullRequestAnnotationClassic(image: any, pullRequest: any): Promise<any>;
    createPullRequestAnnotation(key: any, imageName: any, pullRequest: any): Promise<any>;
    createIssueAnnotationClassic(image: string, issue: any): Promise<any>;
    createIssueAnnotation(imageName: any, issue: any): Promise<any>;
    getJiraIssue(context: any, issueKey: any): Promise<any>;
}
//# sourceMappingURL=codefresh.d.ts.map